PostgreSQL – Error de sintaxis cerca de “.”

Inicio Foros Foro principal Instalación y Configuración PostgreSQL – Error de sintaxis cerca de “.”

  • Este debate está vacío.
Viendo 11 entradas - de la 1 a la 11 (de un total de 11)
  • Autor
    Entradas
  • #31697
    Gonzalo Leon
    Miembro

    Hola gente, espero no molestarlos, pero tengo un problema cuando importa el Dump publicado en la versión 9.0 de PostgreSQL.
    Me tira el siguiente error:

    ERROR: error de sintaxis en o cerca de «»
    LINE 35778: .
    ^

    ********** Error **********

    ERROR: error de sintaxis en o cerca de «»
    SQL state: 42601
    Character: 1297260

    Espero puedas ayudarme.
    Saludos,
    Gonzalo.

    #35495
    Javier Ader
    Participante

    El sistema no esta muy testeado contra postgresql 9.0; porque estas usando esta versión?

    #35497
    Gonzalo Leon
    Miembro

    javAd escribió:

    Quote:
    El sistema no esta muy testeado contra postgresql 9.0; porque estas usando esta versión?

    Lo probé con la 8.3.7 bajada desde el link de la wiki de Libertya y me da el mismo error.

    #35500
    Federico Cristina
    Superadministrador

    Buenas,

    Cómo estás realizando el restore? Via pgAdmin o por consola? Podrías detallar un poco más?

    Saludos,
    Federico

    #35501
    Gonzalo Leon
    Miembro

    fcristina escribió:

    Quote:
    Buenas,

    Cómo estás realizando el restore? Via pgAdmin o por consola? Podrías detallar un poco más?

    Saludos,
    Federico

    Si sr! como no?
    Todo vía pgAdmin.
    Decime que otros datos necesitas que te los paso.

    Saludos y gracias.

    #35502
    Federico Cristina
    Superadministrador

    Bueno, creo que por ahí viene el problema. El dump existente en la zona de descargas es un SQL (no es de tipo Backup de PSQL), deberías ejecutar algo así desde terminal (previamente deberás descomprimirlo):

    Code:
    psql -d bbdd -U username -h host -f file

    donde:

    bbdd es el nombre de la base de datos (ej. libertya)
    username es el nombre del usuario de acceso a la bbdd (ej. libertya)
    host es el nombre del servidor (ej. localhost)
    file es el nombre del archivo sql (ej. dump.sql)

    Fijate que en la wiki hay información al respecto.

    Saludos,
    Federico

    #35505
    Gonzalo Leon
    Miembro

    fcristina escribió:

    Quote:
    Bueno, creo que por ahí viene el problema. El dump existente en la zona de descargas es un SQL (no es de tipo Backup de PSQL), deberías ejecutar algo así desde terminal (previamente deberás descomprimirlo):

    Code:
    psql -d bbdd -U username -h host -f file

    donde:

    bbdd es el nombre de la base de datos (ej. libertya)
    username es el nombre del usuario de acceso a la bbdd (ej. libertya)
    host es el nombre del servidor (ej. localhost)
    file es el nombre del archivo sql (ej. dump.sql)

    Fijate que en la wiki hay información al respecto.

    Saludos,
    Federico

    Ahora el error de lenguaje: psql:c:/dump_libertya_1009ar.sql:1835: ERROR: language “java” does not exist

    #35496
    Dario Parente
    Miembro

    Me parece que tendrias que revisar bien tu instalacion.

    Que versiones estas utilizando, y seguir los procedimientos de instalacion de la wiki de libertya.

    Verifica si esta bien instalado postgres
    Verifica version y si esta bien instalado java, y los path
    Verifica si tambien tienes instalados los lenguajes pljava, etc.

    luego de todo eso recien trata de realizar el restore por una terminal, no se si utilizas linux o windows.

    #35507
    Gonzalo Leon
    Miembro

    dparente escribió:

    Quote:
    Me parece que tendrias que revisar bien tu instalacion.

    Que versiones estas utilizando, y seguir los procedimientos de instalacion de la wiki de libertya.

    Verifica si esta bien instalado postgres
    Verifica version y si esta bien instalado java, y los path
    Verifica si tambien tienes instalados los lenguajes pljava, etc.

    luego de todo eso recien trata de realizar el restore por una terminal, no se si utilizas linux o windows.

    Estoy usando Windows.
    Tengo los path’s actualizados, bien. Además uso eclipse que necesita que los mismos path para JAVA esté correctos, y esta funcionando.

    #35508
    Federico Cristina
    Superadministrador

    Por lo que puedo ver, pareciera ser que tu error se debe a un problema con la instalaciòn de PL/Java.

    Saludos,
    Federico

    #35529
    Gonzalo Leon
    Miembro

    fcristina escribió:

    Quote:
    Por lo que puedo ver, pareciera ser que tu error se debe a un problema con la instalaciòn de PL/Java.

    Saludos,
    Federico

    Hay una linea del script SQL que cambia al lenguaje JAVA, o algo así, eso me da como resultado un mensaje de postgres que ya está instalado el PL/Java.
    Muy raro

Viendo 11 entradas - de la 1 a la 11 (de un total de 11)
  • Debes estar registrado para responder a este debate.